From: Eugeniy Meshcheryakov <eugen@debian.org>
Subject: Do not use seeing(user)
  Such calls cause an exception with SWI prolog.
Forwarded: not-needed
--- a/checker/toplevel.pro
+++ b/checker/toplevel.pro
@@ -54,7 +54,7 @@
 
 
 write_check_prompt :-                                           /* CFR015 */
-        seeing(user),                                           /* CFR015 */
+        seeing(Stream), Stream = user,                          /* CFR015 */
         prompt_user('CHECK|:'),                                 /* CFR015 */
         !.                                                      /* CFR015 */
 write_check_prompt :-                                           /* CFR015 */
